<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmGetOpError Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmGetOpError Enumeration

Visual Basic
C#
C++/CLI
Cold storage file retrieval error codes; used in calls to IEdmGetOpCallback2::ReportFailureEx.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmGetOpError
       Inherits System.Enum

C# |
--- | ---

    public enum EdmGetOpError : System.Enum

C++/CLI |
--- | ---

    public enum class EdmGetOpError : public System.Enum

# Members

Member | Description
--- | ---
EdmGetErr_InColdStorageAvailable | 1 = The version you are attempting to retrieve is in cold storage and needs to be retrieved from the backup media
EdmGetErr_InColdStorageDeleted | 2 = The version you are attempting to retrieve was sent to cold storage and deleted
EdmGetErr_InColdStoragePermissionDenied | 3 = The version you are attempting to retrieve is in cold storage, and you lack permission to restore it
EdmGetErr_InColdStorageRestoreFailed | 4 = Could not retrieve the file from cold storage

# See Also

####

EPDM.Interop.epdm Namespace